Bug 10930 - Thoughts about package management and updating in general.
Thoughts about package management and updating in general.
Product: Red Hat Linux
Classification: Retired
Component: distribution (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
: FutureFeature
: 28013 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2000-04-19 18:33 EDT by Pekka Savola
Modified: 2007-04-18 12:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-07-28 18:33:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pekka Savola 2000-04-19 18:33:27 EDT
Some thoughts on Redhat's package management and update procedures
follow. I didn't get any response about this on redhat-list -mailinglist,
so I thought this might be a better channel to introduce some ideas.

I have been administering Redhat boxes for over four years now.  Recently,
I have noticed more and more that there's still one important component

I'd very much like to be able to select RPM's I want to install / want to
get uninstalled by categories like in Redhat installer even without running
the installer (ie. with an RPM management util).  I believe some of
this (selecting/deselecting by Group defined in RPM, e.g.
Applications/Archiving) is done in current X utils (text interface
would be a huge plus), but still there are a couple of major functionality
features to be considered.

I'd like deselecting/selecting of RPM's by installer categories also (as
read from RedHat/base/comps) or similarly defined file.  This would be
a great help for people that realize later on that they'd really need a web
server, forgot to choose development packages in install, etc.  No need
for re-installations or manual playing with RPM's after that.

Also, along the same lines.. an extension of above. I'd very much if the
some parts of redhat installer was released as a normal userland
program.  You could do updates without booting and having to go through
your partitions and other cruft.  That'd be really neat; a little like with
FreeBSD /stand/sysinstall.  Also, creating a centralized summary (e.g.
unified diff, or anything but just mere filenames) of .rpmsave and
.rpmnew changes would be a nice addition here; e.g. compare with the
really powerful _script_ mergemaster from  FreeBSD -- Redhat could use
something like that.

Updaters like AutoRPM do some of the above, but they can't handle
situations where new packages appear / are renamed very well, not
considering the usual hassle with .rpmsave .rpmnew etc. configuration files
after such an exhaustive upgrade.

HTH :)
Comment 1 Michael Fulbright 2000-06-12 15:03:56 EDT
Filed for future feature release.
Comment 2 Michael Fulbright 2000-09-26 12:09:41 EDT
Comment 3 Michael Fulbright 2000-09-26 12:55:23 EDT
Comment 4 Michael Fulbright 2001-09-14 12:35:36 EDT
Assigning to distribution component.
Comment 5 Brent Fox 2002-06-04 21:35:12 EDT
I'm going to assign this to katzj, since it seems very similar to what he's
working on.
Comment 6 Brent Fox 2002-06-04 23:20:29 EDT
*** Bug 28013 has been marked as a duplicate of this bug. ***
Comment 7 Jeremy Katz 2003-07-28 18:33:38 EDT
redhat-config-packages basically does the really doable parts of this

Note You need to log in before you can comment on or make changes to this bug.